from rest_framework import serializers

from fotos.models import Album, Photo, UploadedImage

class AlbumSerializer(serializers.ModelSerializer):

    class Meta:
        model = Album
        fields = [ 'the_parent', 'name', 'slug',
                   'first_timestamp', 'last_timestamp',
                   'time_offset' ]

class PhotoSerializer(serializers.ModelSerializer):

    class Meta:
        model = Photo
        fields = [ 'title', 'description', 'the_album',
                   'latitude', 'longitude', 'width', 'height',
                   'view_width', 'view_height',
                   'thumb_width', 'thumb_height', 'timestamp',
                   'view_timestamp', 'time_offset', 'url',
                   'view_url', 'thumb_url', 'basename',
                   'view_latitude', 'view_longitude' ]

class UploadedImageSerializer(serializers.ModelSerializer):

    class Meta:
        model = UploadedImage
        fields = [ 'files' ]
