"""galeria URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.contrib.auth import views as auth_views
from django.urls import include, path
from django.conf.urls import url
from fotos import views

urlpatterns = [
    url(r'^(\d{4})/(\d{2})/([\w-]+)/([\w\.-]+)', views.photo),
    url(r'^(\d{4})/(\d{2})/([\w-]+)', views.event),
    url(r'^(\d{4})/(\d{2})', views.month),
    url(r'^(\d{4})/$', views.year),
    url(r'^$', views.index),
    url(r'^search/', views.search),
    url(r'^admin/info', views.info),
    url(r'^admin/password', views.password),
    url(r'^admin/upload', views.upload),
    url(r'^admin/map', views.map),
    url(r'^admin/reset', views.reset),
    url(r'^admin/highlight', views.highlight),
    url(r'^admin/delete', views.delete),
    url(r'^admin/logout', views.logout),
    url(r'^admin/login', views.login),
    url(r'^rest/list_albums$', views.list_albums),
    url(r'^rest/list_photos$', views.list_photos),
    url(r'^rest/random_photo$', views.random_photo),
    url(r'^rest/upload_photo$', views.upload_photo),
    url(r'^rest/delete_item$', views.delete_item),
    url(r'^rest/reset_highlights$', views.reset_highlights),
    url(r'^rest/get_highlights$', views.get_highlights),
    url(r'^rest/set_highlights$', views.set_highlights),
    url(r'^result/$', views.result),
    url('admin/', admin.site.urls),
]
