const pageRegex = /page=(\d+)/;

function _getFirstPhotoAnchor() {
    previews = document.getElementsByClassName("preview");
    for (var i = 0; i < previews.length; i++) {
        var anchors = previews[i].getElementsByTagName('a');
        return anchors[0];
    }
    return null;
}

document.addEventListener("keydown", function onEvent(event) {
    if (event.ctrlKey && event.altKey &&
        (event.key == "j" || event.key == "J")) {
        var anchor = document.getElementById("prev-item");
        if (anchor != null)
            anchor.click();
    } else if (event.ctrlKey && event.altKey &&
               (event.key == "k" || event.key == "K")) {
        var anchor = document.getElementById("next-item");
        if (anchor != null)
            anchor.click();
    } else if (event.ctrlKey && event.altKey &&
               (event.key == "u" || event.key == "U")) {
        var anchor = document.getElementById("up-item");
        if (anchor != null)
            anchor.click();
    } else if (event.ctrlKey && event.altKey &&
               (event.key == "h" || event.key == "h")) {
        var anchor = document.getElementById("prev-page");
        if (anchor != null)
            anchor.click();
    } else if (event.ctrlKey && event.altKey &&
               (event.key == "l" || event.key == "l")) {
        var anchor = document.getElementById("next-page");
        if (anchor != null)
            anchor.click();
    } else if (event.ctrlKey && event.altKey &&
               (event.key == "f" || event.key == "F")) {
        var anchor = _getFirstPhotoAnchor();
        if (anchor != null)
            anchor.focus()
    } else if (event.ctrlKey && event.altKey &&
               (event.key == "s" || event.key == "S")) {
        var search = document.getElementById("s");
        if (search != null)
            search.focus()
    }
});

function changePage(path) {
    var select = document.getElementById("page-select");
    var page = select.options[select.selectedIndex].value;
    var newStr = 'page=' + page;
    url = path.replace(pageRegex, newStr);
    if (!path.includes('?')) {
        url = url + '?' + newStr;
    } else if (!path.includes('page=')) {
        url = url + '&' + newStr;
    }
    window.location.href = url;
}

function highlight(breadcrumbs) {
    breadcrumbs = breadcrumbs.replaceAll("'", '"');
    var bc = JSON.parse(breadcrumbs);
    var leaf = bc.at(-1);
    var link = leaf['link'].replaceAll('/galeria/', '/galeria/admin/highlight/');
    goTo(link);
}

/* When the user clicks on the menu Administration,
   toggle between hiding and showing the dropdown content */
function adminDropdown() {
    document.getElementById("admin-dropdown").classList.toggle("show");
}

// Close the dropdown if the user clicks outside of it
window.onclick = function(event) {
    if (!event.target.matches('.drop-button')) {
        var dropdowns = document.getElementsByClassName("dropdown-content");
        var i;
        for (i = 0; i < dropdowns.length; i++) {
            var openDropdown = dropdowns[i];
            if (openDropdown.classList.contains('show')) {
                openDropdown.classList.remove('show');
            }
        }
    }
}
