const uploadForm = document.getElementById('upload_form');
const input_file = document.getElementById('id_files');
const progress_bar = document.getElementById('progress');
const message = document.getElementById('message');
const upload_url = document.getElementById('upload_url');

$("#upload_form").submit(function(e) {
    e.preventDefault();
    $form = $(this);
    var formData = new FormData(this);
    const media_data = input_file.files[0];
    if (media_data != null) {
        progress_bar.classList.remove('not-visible');
    }

    $.ajax({
        type: 'POST',
        url: upload_url.value,
        data: formData,
        dataType: 'json',

        beforeSend: function() {},

        xhr:function() {
            message.classList.add('not-visible');
            opacity = message.style.opacity = 1.0;
            const xhr = new window.XMLHttpRequest();
            xhr.upload.addEventListener('progress', e => {
                if (e.lengthComputable) {
                    var pbm = '';
                    const percentProgress = (e.loaded/e.total) * 100;
                    if (percentProgress >= 100)
                        pbm = '<p>Procesando archivos, espere por favor...</p>';
                    progress_bar.innerHTML =
                        '<div class="progress-bar" style="width: ' +
                        `${percentProgress}%">${pbm}</div>`;
                }
            });
            return xhr;
        },

        success: function(response) {
            uploadForm.reset();
            progress_bar.classList.add('not-visible');
            progress_bar.innerHTML = '';
            message.classList.remove('not-visible');
            if (response['status'] === 'success')
                message.classList.add('success');
            else
                message.classList.add('failure');
            message.innerHTML = response.message;
            fadeMessage(null);
        },

        error: function(err) {
            console.log(err);
            uploadForm.reset()
            progress_bar.classList.add('not-visible')
            message.classList.remove('not-visible')
            message.classList.add('failure');
            message.innerHTML = 'Ocurrió un error al subir los archivos.';
            fadeMessage(null);
        },

        cache: false,
        contentType: false,
        processData: false,
    });
});
